// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) StreakCoinTransactions() StreakCoinTransactions { return StreakCoinTransactions(t) }

type StreakCoinTransactions struct{ alias string }

func (t StreakCoinTransactions) TableAlias() string { return t.alias }
func (t StreakCoinTransactions) name() string       { return "StreakCoinTransactions" }
func (t StreakCoinTransactions) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t StreakCoinTransactions) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.ID(),
		c.StreakID(),
	}
}

func (t StreakCoinTransactions) Columns() StreakCoinTransactionsCols {
	return StreakCoinTransactionsCols{tableAlias: t.alias}
}

type StreakCoinTransactionsCols struct{ tableAlias string }

func (c StreakCoinTransactionsCols) ID() string       { return colName(c.tableAlias, "ID") }       // STRING(36)
func (c StreakCoinTransactionsCols) StreakID() string { return colName(c.tableAlias, "StreakID") } // STRING(36)
